org.jfree.chart.plot

## Class PlotState

- java.lang.Object
- - org.jfree.chart.plot.PlotState

    public class PlotState
    extends java.lang.Object

Records information about the state of a plot during the drawing process.

### Constructor Summary

Constructors
Constructor and Description
`PlotState()` Creates a new state object.

### Method Summary

Methods
`java.util.Map` `getSharedAxisStates()` Returns a map containing the shared axis states.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlotState

    public PlotState()

Creates a new state object.

### Method Detail

#### getSharedAxisStates

    public java.util.Map getSharedAxisStates()

Returns a map containing the shared axis states.

Returns:
  A map.